Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc.F90	(revision 10251)
@@ -102,13 +102,4 @@
          END SELECT
                                           cltra = TRIM(cltra)//TRIM(ctrcnm(kjn))
-         ! +++>>>FABM
-#if defined key_tracer_budget
-! for outputting depth integrated
-         SELECT CASE( ktrd )
-         CASE( jptra_xad, jptra_yad, jptra_zad  ) 
-           cltra = TRIM(cltra)//"_e3t"
-         END SELECT
-#endif
-         ! FABM <<<+++
                                           CALL iom_put( cltra,  ptrtrd(:,:,:) )
          !
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc_oce.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc_oce.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/TRP/trdtrc_oce.F90	(revision 10251)
@@ -22,10 +22,5 @@
    CHARACTER(len=50) ::  cn_trdrst_trc_in     !: suffix of pass. tracer restart name (input)
    CHARACTER(len=50) ::  cn_trdrst_trc_out    !: suffix of pass. tracer restart name (output)
-   ! --->>> FABM
-   ! LOGICAL, DIMENSION(jptra) ::   ln_trdtrc   !: large trends diagnostic to write or not (namelist)
-   ! FABM <<<---
-   ! +++>>> FABM
-   LOGICAL, DIMENSION(jpmaxtrc) ::   ln_trdtrc   !: large trends diagnostic to write or not (namelist)
-   ! FABM <<<+++
+   LOGICAL, DIMENSION(jptra) ::   ln_trdtrc   !: large trends diagnostic to write or not (namelist)
 
 # if defined key_trdtrc && defined key_iomput
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/par_trc.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/par_trc.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/par_trc.F90	(revision 10251)
@@ -15,7 +15,4 @@
    USE par_cfc       ! CFC 11 and 12 tracers
    USE par_my_trc    ! user defined passive tracers
-   ! +++>>> FABM
-   USE par_fabm      ! FABM
-   ! FABM <<<+++
 
    IMPLICIT NONE
@@ -27,21 +24,9 @@
    ! Passive tracers : Total size
    ! ---------------               ! total number of passive tracers, of 2d and 3d output and trend arrays
-   ! --->>> FABM
-   ! INTEGER, PUBLIC,  PARAMETER ::   jptra    =  jp_pisces     + jp_cfc     + jp_c14b    + jp_my_trc
-   ! INTEGER, PUBLIC,  PARAMETER ::   jpdia2d  =  jp_pisces_2d  + jp_cfc_2d  + jp_c14b_2d + jp_my_trc_2d
-   ! INTEGER, PUBLIC,  PARAMETER ::   jpdia3d  =  jp_pisces_3d  + jp_cfc_3d  + jp_c14b_3d + jp_my_trc_3d
-   ! FABM <<<---
-   ! +++>>> FABM
-   INTEGER, PUBLIC  ::   jptra    =  jp_pisces     + jp_cfc     + jp_c14b    + jp_my_trc
-   INTEGER, PUBLIC  ::   jpdia2d  =  jp_pisces_2d  + jp_cfc_2d  + jp_c14b_2d + jp_my_trc_2d
-   INTEGER, PUBLIC  ::   jpdia3d  =  jp_pisces_3d  + jp_cfc_3d  + jp_c14b_3d + jp_my_trc_3d
-   ! FABM <<<+++
+   INTEGER, PUBLIC,  PARAMETER ::   jptra    =  jp_pisces     + jp_cfc     + jp_c14b    + jp_my_trc
+   INTEGER, PUBLIC,  PARAMETER ::   jpdia2d  =  jp_pisces_2d  + jp_cfc_2d  + jp_c14b_2d + jp_my_trc_2d
+   INTEGER, PUBLIC,  PARAMETER ::   jpdia3d  =  jp_pisces_3d  + jp_cfc_3d  + jp_c14b_3d + jp_my_trc_3d
    !                     ! total number of sms diagnostic arrays
-   ! --->>> FABM
-   ! INTEGER, PUBLIC,  PARAMETER ::   jpdiabio =  jp_pisces_trd + jp_cfc_trd + jp_c14b_trd + jp_my_trc_trd
-   ! FABM <<<---
-   ! +++>>> FABM
-   INTEGER, PUBLIC  ::   jpdiabio =  jp_pisces_trd + jp_cfc_trd + jp_c14b_trd + jp_my_trc_trd
-   ! FABM <<<+++
+   INTEGER, PUBLIC,  PARAMETER ::   jpdiabio =  jp_pisces_trd + jp_cfc_trd + jp_c14b_trd + jp_my_trc_trd
    
    !  1D configuration ("key_c1d")
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trc.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 10251)
@@ -14,7 +14,4 @@
    USE par_oce
    USE par_trc
-#if defined key_bdy
-   USE bdy_oce, only: nb_bdy, OBC_DATA
-#endif
    
    IMPLICIT NONE
@@ -83,14 +80,7 @@
    END TYPE
 
-   ! --->>> FABM 
-   !REAL(wp), DIMENSION(jptra), PUBLIC         :: trc_ice_ratio, & ! ice-ocean tracer ratio
-   !                                              trc_ice_prescr   ! prescribed ice trc cc
-   !CHARACTER(len=2), DIMENSION(jptra), PUBLIC :: cn_trc_o ! choice of ocean tracer cc
-   ! FABM <<<---
-   ! +++>>> FABM 
-   REAL(wp), DIMENSION(jpmaxtrc), PUBLIC         :: trc_ice_ratio, & ! ice-ocean tracer ratio
+   REAL(wp), DIMENSION(jptra), PUBLIC         :: trc_ice_ratio, & ! ice-ocean tracer ratio
                                                  trc_ice_prescr   ! prescribed ice trc cc
-   CHARACTER(len=2), DIMENSION(jpmaxtrc), PUBLIC :: cn_trc_o ! choice of ocean tracer cc
-   ! FABM <<<+++
+   CHARACTER(len=2), DIMENSION(jptra), PUBLIC :: cn_trc_o ! choice of ocean tracer cc
 
    !! information for outputs
@@ -100,22 +90,6 @@
        CHARACTER(len = 80)  :: cllname  !: long name
        CHARACTER(len = 20)  :: clunit   !: unit
-! --->>> FABM
-!       LOGICAL              :: llinit   !: read in a file or not
-!!#if defined  key_my_trc
-!       LOGICAL              :: llsbc   !: read in a file or not
-!       LOGICAL              :: llcbc   !: read in a file or not
-!       LOGICAL              :: llobc   !: read in a file or not
-!#endif
-!       LOGICAL              :: llsave   !: save the tracer or not
-! FABM <<<---
-! +++ FABM
-       LOGICAL              :: llinit=.FALSE.   !: read in a file or not
-#if defined  key_fabm
-       LOGICAL              :: llsbc=.FALSE.   !: read in a file or not
-       LOGICAL              :: llcbc=.FALSE.   !: read in a file or not
-       LOGICAL              :: llobc=.FALSE.   !: read in a file or not
-#endif
-       LOGICAL              :: llsave=.FALSE.   !: save the tracer or not
-! FABM <<<+++
+       LOGICAL              :: llinit   !: read in a file or not
+       LOGICAL              :: llsave   !: save the tracer or not
    END TYPE PTRACER
    CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)    ::  ctrcnm         !: tracer name 
@@ -217,11 +191,4 @@
 # endif
    !
-#if defined key_bdy
-   CHARACTER(len=20), PUBLIC, ALLOCATABLE,  SAVE,  DIMENSION(:)   ::  cn_trc_dflt          ! Default OBC condition for all tracers
-   CHARACTER(len=20), PUBLIC, ALLOCATABLE,  SAVE,  DIMENSION(:)   ::  cn_trc               ! Choice of boundary condition for tracers
-   INTEGER,           PUBLIC, ALLOCATABLE,  SAVE,  DIMENSION(:)   ::  nn_trcdmp_bdy        !: =T Tracer damping
-   ! External data structure of BDY for TOP. Available elements: cn_obc, ll_trc, trcnow, dmp
-   TYPE(OBC_DATA),    PUBLIC, ALLOCATABLE, DIMENSION(:,:), TARGET ::  trcdta_bdy           !: bdy external data (local process)
-#endif
 
    !!----------------------------------------------------------------------
@@ -246,16 +213,4 @@
          &      cvol(jpi,jpj,jpk)     , rdttrc(jpk)           , trai(jptra)           ,       &
          &      ctrcnm(jptra)         , ctrcln(jptra)         , ctrcun(jptra)         ,       & 
-! --->>> FABM
-!!#if defined key_my_trc
-! FABM <<<---
-! +++>>> FABM
-#if defined key_fabm
-! FABM <<<+++
-         &      ln_trc_sbc(jptra)     , ln_trc_cbc(jptra)     , ln_trc_obc(jptra)     ,       &
-#endif
-#if defined key_bdy
-         &      cn_trc_dflt(nb_bdy)   , cn_trc(nb_bdy)        , nn_trcdmp_bdy(nb_bdy) ,       &
-         &      trcdta_bdy(jptra,nb_bdy)                                              ,       &
-#endif
          &      ln_trc_ini(jptra)     , ln_trc_wri(jptra)     , qsr_mean(jpi,jpj)     ,  STAT = trc_alloc  )  
 
